from setuptools import setup, find_packages

setup(
    name='skillify.core',
    version='1.0.47',
    author='Lorenzo Castelli',
    description='Core SDK for Skillify Project',
    license='MIT',
    url='https://github.com/lorenzocastelli/sk-core',
    long_description='Core SDK for Skillify Project',
    package_dir={"": "src"},
    project_urls={
        'Source': 'https://github.com/lorenzocastelli/sk-core',
    },
    packages=find_packages(where="src"),
    python_requires=">=3.8.3",
    install_requires=[
        'fastapi>=0.63.0,<1',
        'kafka-python>=2.0.2,<3',
        'python-jose[cryptography]>=3.2.0,<4',
        'SQLAlchemy>=1.4.11,<2',
        'requests>=2.25.1<3'
    ],
)
